<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

$us_adm = intval($_GET['id']);
$ank_adm=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $us_adm LIMIT 1"));

$set['title']='Мнения о '.$ank_adm['nick']; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
if ($ank_adm['show_lenta']==1)
{
echo "<div class='hello'><center>Обитатель запретил оставлять мнения</center></div>\n";
}
echo "<div class='aut'>"; 
echo "<center><img src='/style/icons/many.gif' alt='' class='icon'/> Цена мнения <b>25</b> LM</center>"; 
echo "</div>\n";
if (isset($user) && $user['level']>2)include 'inc/admin_act.php';

if (isset($_POST['msg']) && isset($user))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
if (strlen2($msg)>1024){$err='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}
else{
$msg=mysql_escape_string($msg);
mysql_query("INSERT INTO `mnenia` (id_user,id_user_adm, time, msg) values('$user[id]', '$us_adm', '$time', '$msg')");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']-25)."' WHERE `id` = '$user[id]' LIMIT 1");
msg('Сообщение добавлено - 25 LM');

if (isset($user) && $user['id']!=$us_adm){
$msg2="В мнениях о вас появилось новое [url=/mnenia/index.php?id=$us_adm]сообщение[/url]";
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$us_adm', '$msg2', '$time')");

}
}
}

if (isset($_POST['msg']) && !isset($user))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);
if (strlen2($msg)>1024){$err='Сообщение слишком длинное';}
elseif (isset($_SESSION['antiflood']) && $_SESSION['antiflood']>$time-300){$err='Для того чтобы чаще писать нужно авторизоваться';}
elseif (strlen2($msg)<2){$err='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `guest` WHERE `id_user` = '0' AND `id_user_adm` = $us_adm AND `msg` = '".mysql_escape_string($msg)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
else{
$msg=mysql_escape_string($msg);
$_SESSION['antiflood']=$time;
mysql_query("INSERT INTO `mnenia` (id_user, id_user_adm, time, msg) values('0', '$us_adm', '$time', '$msg')");
msg('Сообщение добавлено + 1 LM');
}
}

err();
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `mnenia` WHERE `id_user_adm` = $us_adm"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
if ($k_post==0)
{
echo "Нет сообщений<br/>\n";
}

$q=mysql_query("SELECT * FROM `mnenia` WHERE `id_user_adm` = $us_adm ORDER BY id DESC LIMIT $start, $set[p_str]");

while ($post = mysql_fetch_array($q))
{
$ank=mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = $post[id_user] LIMIT 1"));

if($num==1){ echo "<div class='linechat'>"; 
$num=0;}
else
{echo "<div class='linechat'>";
$num=1;}

echo "<img src='/style/icons/054.png'></img><font color='#afb0a3'> Аноним </font>\n";
if (user_access('adm_news'))echo "(<a href='/info.php?id=$ank[id]'><span style=\"color:$ank[ncolor]\">$ank[nick]</span></a>)\n";
echo " <br />";

echo esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['msg']))))))))."<br />\n";

if ($post['reply']!=NULL){
echo "<span style=\"color:$ank_adm[mcolor]\">";
echo '<font color="red"><b>Ответ:</b></font> '.esc(trim(br(bbcode(smiles(links(stripcslashes(htmlspecialchars($post['reply'])))))))).'';
echo "</span>";

}
echo "<div style='text-align: right;'> <font color='#afb0a3'>".vremja($post['time'])."</font>\n";
if (isset($user) && $user['id']==$ank_adm['id']){
echo '<a href="reply.php?id='.$post['id'].'"><img src="/style/icons/check.gif"></img></a> ';
echo "<a href='delete.php?id=$post[id]'><img src='/style/icons/delete.gif'></img></a><br />\n";
}
echo "</div>\n";
echo "</div>\n";

}



if ($k_page>1)str('?id='.$ank_adm['id'].'&amp;',$k_page,$page); // Вывод страниц
if (isset($user) && $user['id']!=$ank_adm['id']){
if ($ank_adm['show_lenta']==0)
{
if (isset($user))
{
echo "<div class='textmes'>";
echo '<form method="post" action="index.php?id='.$us_adm.'">';
echo "Сообщение | <a href='/smiles/index.php'>Смайлы</a><br />\n<textarea name=\"msg\"></textarea><br />\n";
if ($user['set_translit']==1)echo "<label><input type=\"checkbox\" name=\"translit\" value=\"1\" /> Транслит</label><br />\n";
if (!isset($user))echo "<img src=\"img.php?".SID."\" width=\"100\" height=\"30\" alt=\"Проверочное число\"/><br />\n<input name=\"chislo\" size=\"5\" maxlength=\"5\" value=\"\" type=\"text\" /><br/>\n";
echo "<input value=\"Оставить мнение\" type=\"submit\" />\n";
echo "</form>\n";
echo "</div>\n";
}

}
}
echo "<div class='rekl_main'>";
echo "<img src='/style/back.gif' alt='' class='icon'/>\n";
echo "<a href='/info.php?id=$ank_adm[id]'>Страничка</a> (<span style=\"color:$ank_adm[ncolor]\">$ank_adm[nick]</span>)\n";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';

?>
